# LATEX Graphics with TikZ

<a href="https://www.packtpub.com/product/latex-graphics-with-tikz/9781804618233?utm_source=github&utm_medium=repository&utm_campaign="><img src="https://content.packt.com/B18920/cover_image_small.jpg" alt="LATEX Graphics with TikZ" height="256px" align="right"></a>

This is the code repository for [LATEX Graphics with TikZ](https://www.packtpub.com/product/latex-graphics-with-tikz/9781804618233?utm_source=github&utm_medium=repository&utm_campaign=), published by Packt.

**A practitioner's guide to drawing 2D and 3D images, diagrams, charts, and plots**

## What is this book about?

This book covers the following exciting features:
* Understand the TikZ language and how to use its libraries and packages
* Draw geometric shapes with text and add arrows, labels, and decorations
* Apply transformations and use transparency, shading, fading, and filling features
* Define styles and program with loops to streamline your code
* Build trees, graphs, and mind maps and draw easy curves with smooth transitions
* Produce block diagrams and flow charts to visualize process steps
* Generate line charts and bar charts to showcase your data
* Plot data sets and mathematical functions in two and three dimensions

If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1804618233) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" 
alt="https://www.packtpub.com/" border="5" /></a>

## Instructions and Navigations
All of the code is organized into folders. For example, Chapter01.

The code will look like the following:
```
\begin{tikzpicture}
 \draw (-0.5,0) to ["text"] (0.5,0);
\end{tikzpicture}
```

**Following is what you need for this book:**
This book is for LaTeX users, including students and academic authors, seeking to incorporate figures such as diagrams, plots, and graphics to their theses, articles, and books. If you’re familiar with LaTeX basics from beginner’s books or tutorials, you’ll be able to effortlessly explore the graphics topics in this book.

With the following software and hardware list you can run all code files present in the book (Chapter 1-15).
### Software and Hardware List
| Chapter | Software required | OS required |
| -------- | ------------------------------------ | ----------------------------------- |
| 1-15 | TeX Live, MiKTeX, or MacTeX | Windows, Mac OS X, and Linux (Any) |


We also provide a PDF file that has color images of the screenshots/diagrams used in this book. [Click here to download it](https://packt.link/7hkX1).

### Related products
* LaTeX Cookbook [[Packt]](https://www.packtpub.com/product/latex-cookbook/9781784395148?utm_source=github&utm_medium=repository&utm_campaign=9781784395148) [[Amazon]](https://www.amazon.com/dp/1784395145)

* LaTeX Beginner’s Guide - Second Edition [[Packt]](https://www.packtpub.com/product/latex-beginners-guide-second-edition/9781801078658?utm_source=github&utm_medium=repository&utm_campaign=9781801078658) [[Amazon]](https://www.amazon.com/dp/1847199860)



## Get to Know the Author
**Stefan Kottwitz**
studied mathematics in Jena and Hamburg. He works as a network and IT security engineer for Lufthansa Industry Solutions. For twenty years, he has been providing LaTeX support in online forums. He maintains several LaTeX web forums in English, French, and German languages. He runs TikZ graphics gallery web sites, the TeXlive online compiler, the TeXdoc online service, and a CTAN software mirror. He is a moderator of the TeX and LaTeX Stack Exchange site since 2010. He publishes ideas and news from the TeX world on blogs and on Twitter. Before this book, he authored the LaTeX Beginner's Guide in 2011 and the second edition in 2021, and the LaTeX Cookbook in 2015, all published by Packt.
